!!  Copyright (C) 2012 Jihuan Tian <tianjh04@gmail.com> and Ling Zhang
!!  <zhangling06@mails.tsinghua.edu.cn>
!!   
!!  This file is part of SPCNDG.
!!
!!  SPCNDG is free software: you can redistribute it and/or modify
!!  it under the terms of the GNU General Public License as published by
!!  the Free Software Foundation, either version 3 of the License, or
!!  (at your option) any later version.
!!
!!  SPCNDG is distributed in the hope that it will be useful,
!!  but WITHOUT ANY WARRANTY; without even the implied warranty of
!!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!!  GNU General Public License for more details.
!!
!!  You should have received a copy of the GNU General Public License
!!  along with SPCNDG.  If not, see <http://www.gnu.org/licenses/>.

program main
  use Defs
  use PhysConst
  use MathFunc
  use ReadFile

  implicit none

  real(DP), dimension(10) :: a = (/1._DP,2._DP,3._DP,4._DP,5._DP,6._DP,7._DP,8._DP,9._DP,10._DP/)
  real(DP), dimension(10,2) :: b
  b(:,1) = a
  b(:,2) = jacobi(a, 0._DP, 0._DP, 5)
  call PrintVarMat("b", b)
end program main
