!!  Copyright (C) 2012 Jihuan Tian <tianjh04@gmail.com> and Ling Zhang
!!  <zhangling06@mails.tsinghua.edu.cn>
!!   
!!  This file is part of SPCNDG.
!!
!!  SPCNDG is free software: you can redistribute it and/or modify
!!  it under the terms of the GNU General Public License as published by
!!  the Free Software Foundation, either version 3 of the License, or
!!  (at your option) any later version.
!!
!!  SPCNDG is distributed in the hope that it will be useful,
!!  but WITHOUT ANY WARRANTY; without even the implied warranty of
!!  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
!!  GNU General Public License for more details.
!!
!!  You should have received a copy of the GNU General Public License
!!  along with SPCNDG.  If not, see <http://www.gnu.org/licenses/>.

module PhysConst
  ! module defining physical constants
  use MathFunc
  implicit none

  real(DP), parameter :: epsilon0 = 8.85e-12 ! vacuume permittivity
  real(DP), parameter :: ec = 1.6e-19 ! elementary charge
end module PhysConst
